Bug 1490048 - InvalidBackendURL error in deja-dup on external HDD
Summary: InvalidBackendURL error in deja-dup on external HDD
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: deja-dup
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-09 16:48 UTC by Jan Vlug
Modified: 2017-09-30 06:35 UTC (History)
6 users (show)

Fixed In Version: deja-dup-36.1-1.fc26 deja-dup-36.1-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-23 20:21:50 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Launchpad 1717230 0 None None None 2017-09-14 10:23:44 UTC

Description Jan Vlug 2017-09-09 16:48:44 UTC
When I start deja-dup to make an backup to an external USB HDD (which worked fine in the past), this error is displayed:

InvalidBackendURL: missing // - relative paths not supported for scheme gio+invalid: gio+invalid://

Comment 1 Jan Vlug 2017-09-09 17:02:27 UTC
The external USB HDD is encrypted. When I first mount the disk, so that it is available, and then start deja-dup from the command line, I get window with this message:

Storage location not available
Waiting for '5.0 TB Encrypted' to become connected...

Note that the name of the mount point is different:
ls /run/media/jan/
'5.0 TB Partition'

In the dropdownlistbox for the Storage location in deja-dup, I only see: '5.0 TB Encrypted', not '5.0 TB Partition'.

Comment 2 Jan Vlug 2017-09-14 18:28:54 UTC
Fixed upstream.

Comment 3 Philip Withnall 2017-09-14 20:44:26 UTC
Shouldn’t this bug remain open to track inclusion of that patch into the Fedora package for deja-dup?

Comment 4 Jan Vlug 2017-09-15 09:55:10 UTC
In the meanwhile, I worked around the bug by selecting manually the destination location again. This means that I cannot test whether the bug is fixed.

For now I will reopen the bug.

Comment 5 Fedora Update System 2017-09-15 13:40:40 UTC
deja-dup-36.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c27d77c788

Comment 6 Fedora Update System 2017-09-15 13:41:05 UTC
deja-dup-36.1-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-51979dace2

Comment 7 Fedora Update System 2017-09-15 16:56:04 UTC
deja-dup-36.1-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-51979dace2

Comment 8 Fedora Update System 2017-09-16 04:25:43 UTC
deja-dup-36.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c27d77c788

Comment 9 Fedora Update System 2017-09-23 20:21:50 UTC
deja-dup-36.1-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2017-09-30 06:35:08 UTC
deja-dup-36.1-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.